Bug 602032 - Cannot edit the wrapped line in stdio monitor (qemu) command line
Summary: Cannot edit the wrapped line in stdio monitor (qemu) command line
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Luiz Capitulino
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 580953
TreeView+ depends on / blocked
 
Reported: 2010-06-09 02:26 UTC by Cao, Chen
Modified: 2010-11-10 17:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:04:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cao, Chen 2010-06-09 02:26:57 UTC
Description of problem:
when my terminal is 80 columns wide, and the command is longer than
80 chars, the line will be wrapped automatically, but the wrapped line
(the line above the current one) cannot be edited.


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.71.el6.x86_64


How reproducible:
100%


Steps to Reproduce:
1. start a vm ussing qemu-kvm with option "-monitor stdio",
e.g.
qemu-kvm -name 'vm1' -monitor stdio -drive file=./win7-32-virtio.qcow2,if=virtio,cache=none,boot=on -net nic,vlan=0,model=virtio,macaddr=02:30:20:EC:31:c2 -net tap,vlan=0,ifname=virtio_0_6001,script=/root/autotest/client/tests/kvm/scripts/qemu-ifup-switch,downscript=no -m 4096 -smp 2  -soundhw ac97 -redir tcp:5000::22 -vnc :0 -usbdevice tablet -rtc-td-hack  -cpu qemu64,+sse2 -no-kvm-pit-reinjection -serial unix:/tmp/serial-20100608-115414-Avvj,server,nowait

2. make sure the terminal is narrower than the fllowing command, e.g. just 80 columns wide, so that the following command will be wrapped while typing, and 
then type (qemu) command (without type "Enter"),

change ide0-cd0 /home/kvm_autotest_root/iso/ISO/Windows7/en_windows_7_ultchange ide0-cd0 /home/kvm_autotest_root/iso/ISsO/Windows7/en_windows_7_ultimate_x86_dvd_x15-65921.iso


3. try to change the cdrom number, i.e. change "ide0-cd0" to "ide0-cd1",

  
Actual results:
cannot move the cursor to the desired place (ide0-cd0) by pressing
the left-arrow


Expected results:
user can move the cursor to the wrapped line by pressing
the left-arrow


Additional info:
[root@dhcp-0-1 ISO]# rpm -qa |grep qemu
qemu-kvm-tools-0.12.1.2-2.69.el6.x86_64
gpxe-roms-qemu-0.9.7-6.3.el6.noarch
qemu-img-0.12.1.2-2.69.el6.x86_64
qemu-kvm-0.12.1.2-2.69.el6.x86_64

Comment 2 RHEL Product and Program Management 2010-06-09 02:53:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 RHEL Product and Program Management 2010-07-15 14:33:23 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 5 Luiz Capitulino 2010-11-10 17:04:11 UTC
The human monitor is not a supported interface for RHEL6.x, closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.